# Begin resource change upload

Begin an immutable resource-change upload generation for an execution stage.

Endpoint: POST /iacm/api/orgs/{org}/projects/{project}/executions/{pipeline_execution_id}/{pipeline_stage_id}/resource-changes/uploads
Version: 1.0
Security: x-api-key

## Path parameters:

  - `org` (string, required)
    Org is the organisation identifier.
    Example: "o"

  - `project` (string, required)
    Project is the project identifier.
    Example: "8"

  - `pipeline_execution_id` (string, required)
    Pipeline execution ID
    Example: "knq"

  - `pipeline_stage_id` (string, required)
    Pipeline execution stage ID
    Example: "c7"

## Header parameters:

  - `Harness-Account` (string, required)
    Account is the internal customer account ID.
    Example: "l"

## Request fields (application/json):

  - `kind` (string, required)
    Whether this generation contains plan or applied resource changes
    Enum: "plan", "applied"

  - `page_size` (integer, required)
    Declared number of rows in each uploaded page
    Example: 100

  - `source_state_human_id` (string)
    Optional state_human ID that sourced an applied generation
    Example: "Iste quia quisquam quasi consequatur optio officia."

## Response 200 fields (application/json):

  - `generation_id` (string, required)
    Opaque ID identifying this immutable upload generation
    Example: "Recusandae dolores minus."

## Response 400 fields (application/vnd.goa.error):

  - `fault` (boolean, required)
    Is the error a server-side fault?
    Example: true

  - `id` (string, required)
    ID is a unique identifier for this particular occurrence of the problem.
    Example: "123abc"

  - `message` (string, required)
    Message is a human-readable explanation specific to this occurrence of the problem.
    Example: "parameter 'p' must be an integer"

  - `name` (string, required)
    Name is the name of this class of errors.
    Example: "bad_request"

  - `temporary` (boolean, required)
    Is the error temporary?
    Example: true

  - `timeout` (boolean, required)
    Is the error a timeout?


